List
curl --request POST \
--url https://developer.synq.io/api/alerts/v1/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner": {
"ownerPath": "<string>",
"ownershipId": "<string>"
}
}
'import requests
url = "https://developer.synq.io/api/alerts/v1/list"
payload = { "owner": {
"ownerPath": "<string>",
"ownershipId": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({owner: {ownerPath: '<string>', ownershipId: '<string>'}})
};
fetch('https://developer.synq.io/api/alerts/v1/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alertsIds": [
"<string>"
]
}synq.alerts.services.v1.AlertsService
List
Retrieves a list of alert configurations based on filters.
POST
/
api
/
alerts
/
v1
/
list
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ListRequest filters alert configurations to retrieve.
Optional filter by owner of the alert configurations.
Show child attributes
Show child attributes
Response
200 - application/json
Success
ListResponse returns the filtered list of alert configurations.
The list of alert configurations matching the filter criteria.
⌘I